import axios from "axios"
import router from "../router/index.js"
// axios 全局的url前缀
axios.defaults.baseURL = "https://tomcat.theluyuan.com/vegetables"
// 请求拦截器 请求前修改请求的配置 可以添加token 请求头 
axios.interceptors.request.use((config)=>{
  console.log(config)
  // 这个请求的配置 axios({})
  // config.url="11111"
  // dom 添加盖板
  // config.baseURL = "2222"
  config.headers.token = localStorage.getItem("token")
  return config
})


// 响应拦截器
// 获取后台的信息 修改 或者 跳转页面
axios.interceptors.response.use((res)=>{
  console.log(JSON.stringify(res),"这是拦截器的")
  // res.data = "这是修改之后的"
  if(res.data.message == "请输入正确的用户信息"){
    router.push("/index")
  }
  // 删除盖板
    alert("信息")
  return res
})

axios.interceptors.response.use((res)=>{
  console.log("这是第二个")
  return res
})

axios.interceptors.response.use((res)=>{
  console.log("这是第san 个")
  return res
})

export default axios